Skip to main content
POST
/
api
/
v1
/
cvms
/
workload
Create GPU workload CVM
curl --request POST \
  --url https://cloud-api.phala.com/api/v1/cvms/workload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "instance_type": "<string>",
  "model_id": "<string>",
  "scheduled_delete_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": 123,
  "name": "<string>",
  "status": "<string>",
  "teepod_id": 123,
  "app_id": "<string>",
  "vcpu": 123,
  "memory": 123,
  "disk_size": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "teepod": {
    "id": 123,
    "name": "<string>"
  },
  "user_id": 123,
  "vm_uuid": "<string>",
  "instance_id": "<string>",
  "app_url": "<string>",
  "base_image": "<string>",
  "manifest_version": 123,
  "version": "<string>",
  "runner": "<string>",
  "docker_compose_file": "<string>",
  "features": [
    "<string>"
  ],
  "encrypted_env_pubkey": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string
required

The name of the tapp.

instance_type
string
required

The instance_type of the tapp.

model_id
string
required

The model_id of the tapp.

scheduled_delete_at
string<date-time> | null

The scheduled delete time of the tapp.

Response

Created CVM record

id
integer
required
name
string
required
status
string
required
teepod_id
integer
required
app_id
string
required
vcpu
integer
required
memory
integer
required
disk_size
integer
required
created_at
string<date-time>
required
teepod
TeepodMeta · object
user_id
integer | null
vm_uuid
string | null
instance_id
string | null
app_url
string | null
base_image
string | null
manifest_version
integer | null
version
string | null
runner
string | null
docker_compose_file
string | null
features
string[] | null
encrypted_env_pubkey
string | null